Subject: Re: [PATCH net-next v2 0/8] net: neighbour: Notify changes atomically

From: Simon Horman <[email-masked]>
Date: Fri, 23 Jan 2026 15:28:15 +0000

On Wed, Jan 21, 2026 at 05:43:34PM +0100, Petr Machata wrote:

...

> v2:
> - Patch #2:
>     - Drop the __acquires / __releases annotations at neigh_notify().
>       They are not necessary with a symmetrically locking function.
>     - Retain the R-b tag for this change.
> - Patch #8:
>     - Do not skip the notification from inside the
>       atomic_read(&neigh->probes) >= neigh_max_probes(neigh)
>       conditional. Instead set a flag, and goto out after the
>       notification if the flag is set.
>     - Move the __neigh_notify() call another block up above the
>       NUD_IN_TIMER check. That belongs logically together with
>       the (NUD_INCOMPLETE | NUD_PROBE) check afterwards, no sense
>       to split the two conditionals with the notifier.

I'm ambivalent on the last point. And at any rate, I don't think my next
point warrants a re-spin.  But I do wonder if the same applies to
neigh_update_process_arp_queue and neigh_fill_info.

That notwithstanding, this series looks good to me.

Reviewed-by: Simon Horman <[email-masked]>